// $Header: https://oberon.oapd.inaf.it/shins/trunk/shins/src/tiptilt_ctrl/bcu/Interface/Sharknir/Bcu/DiagnosticsDispatcher.h 964 2018-10-30 16:33:03Z depa $
#pragma once

#include "util/SharedPtr.h"
#include <string>

namespace Sharknir { namespace Bcu {

class DiagnosticsDispatcher
{
public:
    virtual void dispatchOnce()= 0;
    virtual std::string name()= 0;
    virtual ~DiagnosticsDispatcher()= 0;
};

SHARKNIR_DECLARE_BOOST_SP(DiagnosticsDispatcher)
}
}
